org.eclipse.jetty.io

## Interface ConnectedEndPoint

- All Superinterfaces:
    EndPoint
  All Known Subinterfaces:
    AsyncEndPoint
  All Known Implementing Classes:
    ByteArrayEndPoint, NetworkTrafficSelectChannelEndPoint, SelectChannelEndPoint, SocketConnector.ConnectorEndPoint, SslConnection.SslEndPoint, SslSocketConnector.SslConnectorEndPoint

      public interface ConnectedEndPoint
      extends EndPoint

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Connection` | `getConnection()`
    `void` | `setConnection(Connection connection)`

    - ### Methods inherited from interface org.eclipse.jetty.io.EndPoint

      `blockReadable, blockWritable, close, fill, flush, flush, flush, getLocalAddr, getLocalHost, getLocalPort, getMaxIdleTime, getRemoteAddr, getRemoteHost, getRemotePort, getTransport, isBlocking, isInputShutdown, isOpen, isOutputShutdown, setMaxIdleTime, shutdownInput, shutdownOutput`

- - ### Method Detail

    - #### getConnection

          Connection getConnection()

    - #### setConnection

          void setConnection(Connection connection)

Copyright © 1995-2013 Mort Bay Consulting. All Rights Reserved.